Last Comment Bug 695965 - valgrind: Conditional jump or move depends on uninitialised value(s) in nsUrlClassifierDBService::CheckClean
: valgrind: Conditional jump or move depends on uninitialised value(s) in nsUrl...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 20:27 PDT by Josh Aas
Modified: 2011-10-21 02:11 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (915 bytes, patch)
2011-10-19 20:27 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.1 (1.87 KB, patch)
2011-10-19 21:09 PDT, Josh Aas
bent.mozilla: review+
Details | Diff | Splinter Review

Description Josh Aas 2011-10-19 20:27:47 PDT
Created attachment 568286 [details] [diff] [review]
fix v1.0

==29775== Conditional jump or move depends on uninitialised value(s)
==29775==    at 0x1083BF985: nsUrlClassifierDBService::CheckClean(nsACString_internal const&, bool*) (nsUrlClassifierDBService.cpp:1439)
==29775==    by 0x1083C9649: nsUrlClassifierDBService::LookupURI(nsIURI*, nsIUrlClassifierCallback*, bool, bool*) (nsUrlClassifierDBService.cpp:4218)
==29775==    by 0x1083C9CBE: nsUrlClassifierDBService::Classify(nsIURI*, nsIURIClassifierCallback*, bool*) (nsUrlClassifierDBService.cpp:4165)
==29775==    by 0x10721C50B: nsChannelClassifier::Start(nsIChannel*) (nsChannelClassifier.cpp:123)
==29775==    by 0x107333E43: nsHttpChannel::AsyncOpen(nsIStreamListener*, nsISupports*) (nsHttpChannel.cpp:3763)
==29775==    by 0x1082EA5C5: nsURILoader::OpenURI(nsIChannel*, bool, nsIInterfaceRequestor*) (nsURILoader.cpp:815)
==29775==    by 0x1082B924E: nsDocShell::DoChannelLoad(nsIChannel*, nsIURILoader*, bool) (nsDocShell.cpp:9076)
==29775==    by 0x1082BE67F: nsDocShell::DoURILoad(nsIURI*, nsIURI*, bool, nsISupports*, char const*, nsIInputStream*, nsIInputStream*, bool, nsIDocShell**, nsIRequest**, bool, bool, bool) (nsDocShell.cpp:8913)
==29775==    by 0x1082D4EA9: nsDocShell::InternalLoad(nsIURI*, nsIURI*, nsISupports*, unsigned int, unsigned short const*, char const*, nsIInputStream*, nsIInputStream*, unsigned int, nsISHEntry*, bool, nsIDocShell**, nsIRequest**) (nsDocShell.cpp:8616)
==29775==    by 0x1082BF919: nsDocShell::LoadURI(nsIURI*, nsIDocShellLoadInfo*, unsigned int, bool) (nsDocShell.cpp:1462)
==29775==    by 0x1082C3E0A: nsDocShell::LoadURI(unsigned short const*, unsigned int, nsIURI*, nsIInputStream*, nsIInputStream*) (nsDocShell.cpp:3790)
==29775==    by 0x10895B624: NS_InvokeByIndex_P (xptcinvoke_x86_64_unix.cpp:195)
Comment 1 Josh Aas 2011-10-19 20:28:43 PDT
I don't know who is in charge of this code and it probably doesn't matter much so I picked an arbitrary reviewer. Feel free to reassign review if you want.
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-10-19 20:41:06 PDT
Comment on attachment 568286 [details] [diff] [review]
fix v1.0

I think you should fix Probe too... "found" is a return parameter and it's a violation of XPCOM's contract for a function to return NS_OK without setting its return parameters. This is just waiting to bite someone else.
Comment 3 Josh Aas 2011-10-19 21:09:13 PDT
Created attachment 568293 [details] [diff] [review]
fix v1.1
Comment 4 Josh Aas 2011-10-20 07:51:24 PDT
pushed to mozilla-inbound

http://hg.mozilla.org/integration/mozilla-inbound/rev/103807cd0432
Comment 5 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-10-21 02:11:59 PDT
https://hg.mozilla.org/mozilla-central/rev/103807cd0432

Note You need to log in before you can comment on or make changes to this bug.